GENERIC_PIPE_BUF_GET(9)

NAME
generic_pipe_buf_get - get a reference to a struct pipe_buffer

SYNOPSIS

void generic_pipe_buf_get(struct pipe_inode_info * pipe, struct pipe_buffer * buf);

ARGUMENTS

pipe
    the pipe that the buffer belongs to

buf
    the buffer to get a reference to

DESCRIPTION

This function grabs an extra reference to buf. It's used in in the tee system call, when we duplicate the buffers in one pipe into another.

COPYRIGHT